Build KDE.org Site map
Closed, ResolvedPublic

Description

Landing page

Menus

That run across the top of the page and are replicated on all pages.

  • Projects/Software: Where we list the most prominent projects KDE produces:
    • Plasma/Plasma Mobile (of course) with links to related tech, such as Kirigami, Halium, etc.
    • Most popular projects of the moment (may change with time, as popularity shifts)
    • Project of the month - a rotating project that changes every month (week?), so as to give fair coverage to a wider range of projects (?)
  • News
    • Dot
    • Announcements
    • Planet KDE
    • Press kit - Include hi-res logos, photos, and other media for the press to use.
    • Press contacts - People journalists can contact for information or who can route them to source of news (i.e. the board, a project leader, etc.). Also links to press mailing list for press releases and news.
  • Get Involved
    • Become a Contributor
    • Events - This needs a better name; but basically, it would be a page for events where people can meet other KDE contributors, or where they can represent KDE (conferences, release parties etc)
    • How to Donate
  • About
    • KDE e.V. - Include information about vision, board members, legalese, budgets, etc.
    • Community - Include description of community, links to wikis, IRC groups, etc. Also descriptions and links to international groups.
    • FAQ - Maybe this should be it's own main menu item?
  • "Store" - I am putting this in quotes because some people don't like the term "store". Personally, I think it should be up to what users usually call these things, and for them, this will always be a store.
    • Gear - Whoever came up with the name for this is a genius. This is where people can buy mugs, apparel, pins, etc.
    • Apps (?) - Could contain Flatpacks, AppImages of apps that can be installed on several platforms (GNU/Linux, Windows, macOS, etc.). Could also contain links to apps for PlasmaMobile, when things take off. Could also contain links to downloads of KDE-enabled OSes, such as KDE neon, openSUSE, Manjaro KDE, etc.

Other Links

In the body of the page in the shape of buttons, lists, etc.

Visitor Links

We want to help people quickly find what they are looking for. As KDE technologies is of interest to a wide variety of people with different needs, it makes sense to route them to different services and applications.

  • End user - Would be user that come looking for Plasma for everyday use and end-use applications, like Kdenlive, Krita, Okular, etc. Direct to: app store and/or FAQ (?)
  • Contributor - Or potential contributor: person who is or wants to be a user, and participates or wants to participate more actively with the community. Direct to: New users can be sent to wiki page how to help ("Get Involved" page). Registered users to services for reigstered contributors (Phabricator, Wiki, etc.)
  • Business - Companies that want to work with use or with KDE technologies. Direct to: how to... a human? Someone who can find out how we can help them?
  • Educator (?) - Not sure about this one, but as we have KDE-edu, it may make sense. It is for teachers, principals, students, parents, who want to use KDE apps for educational purposes. Direct to: Subsection of app store form where they can download educational software-
Shower thought: If this becomes a consistent part of our userbase, maybe develop a more end-user oriented part of the wiki for them (as https://community.kde.org/KDEEdu is more targeted at developers) and link that from here.

News/Announcements

Boxes that shows feeds with links from other sources.

  • Releases - Shows up to date information of releases, such as Plasma, applications, frameworks, etc. Headlines are links to full announcement.
  • Dot - Shows headlines from dot.kde.org. Headlines are links to full story.
  • Twitter (?)

The above is condensed from T7847 and discussions held on the matter during the sprint. Check to see if there are any glaring absences or mistakes.

WARNING: NO BIKESHEDDING AT THIS STAGE PLEASE

For example, at this moment we don't care whether the place where users can download software should be called "Store", "Shop", "Repository" or whatever. We will iron those kind of things out when we have decided on the actual pieces we want and their content.

Also, this will obviously change over time. Let's get the basics done and not worry too much if the structure of the site does not fit each of our exact ideal expectations.

To avoid having this stretch off into infinity, I'm giving this task 48 hours for discussion and suggestions, and then we are moving forward an closing the task.

paulb created this task.Mar 7 2018, 1:07 PM
paulb triaged this task as High priority.
paulb updated the task description. (Show Details)Mar 7 2018, 9:07 PM
paulb added a comment.Mar 7 2018, 9:27 PM
This comment was removed by paulb.
paulb updated the task description. (Show Details)Mar 7 2018, 9:28 PM
paulb moved this task from Backlog to Doing on the KDE Promo board.
paulb updated the task description. (Show Details)Mar 7 2018, 9:32 PM
ngraham added a subscriber: ngraham.EditedMar 7 2018, 9:36 PM

IMHO it's of critical importance that the landing page have a link to the page where new contributors can get involved, which right now is https://community.kde.org/Get_Involved

This is of great importance to T7116: Streamlined onboarding of new contributors. We want to make it as easy as possible for people to find that page. Ideally it should be visible without having to click on or mouse over anything first.

Another link to have is to a page with international websites (currently it is https://www.kde.org/support/international.php).

Some of those aren't active any more. Currently, we plan to recover kde.ru to serve as a landing page for the Russian-speaking community.

paulb updated the task description. (Show Details)EditedMar 7 2018, 9:43 PM

IMHO it's of critical importance that the landing page have a link to the page where new contributors can get involved, which right now is https://community.kde.org/Get_Involved

This is of great importance to T7116: Streamlined onboarding of new contributors. We want to make it as easy as possible for people to find that page. Ideally it should be visible without having to click on or mouse over anything first.

Yes, that would be what the "Contributor" link links to. Changed wording to make it clear.

paulb added a comment.Mar 7 2018, 9:46 PM

Another link to have is to a page with international websites (currently it is https://www.kde.org/support/international.php).

Some of those aren't active any more. Currently, we plan to recover kde.ru to serve as a landing page for the Russian-speaking community.

Good point. KDE España also, a very active group. KDE US? What heading should that go under, "Community", right?

skadinna added a comment.EditedMar 7 2018, 9:48 PM

IMHO it's of critical importance that the landing page have a link to the page where new contributors can get involved, which right now is https://community.kde.org/Get_Involved

This is of great importance to T7116: Streamlined onboarding of new contributors. We want to make it as easy as possible for people to find that page. Ideally it should be visible without having to click on or mouse over anything first.

I would add this to the main menu - a "Get Involved" link, maybe between "News" and "About".

Something like:

  • Get Involved
    • Become a Contributor - maybe a link to the wiki, or other page designated for this
    • How to Donate - a page that describes all the ways to donate, could also contain links to fundraisers when they're active

EDIT: Also, should we have a separate Contact Us/Follow Us page, or do we just put all our social media links into the footer, and keep the contact email addresses in the Press section?

IMHO it's of critical importance that the landing page have a link to the page where new contributors can get involved, which right now is https://community.kde.org/Get_Involved

This is of great importance to T7116: Streamlined onboarding of new contributors. We want to make it as easy as possible for people to find that page. Ideally it should be visible without having to click on or mouse over anything first.

I would add this to the main menu - a "Get Involved" link, maybe between "News" and "About".

Something like:

  • Get Involved
    • Become a Contributor - maybe a link to the wiki, or other page designated for this
    • How to Donate - a page that describes all the ways to donate, could also contain links to fundraisers when they're active

Yes, I would be strongly in favor of adding a Get Involved entry to the top-level navigation that's visible on all pages. We don't want to hide this.

@paulb Yes, probably to "Community". And I would reorder "KDE e.v." and "Community" in "About".

Absolutely agreed with @skadinna, the "Get involved" link has to be really visible, top-level...

paulb updated the task description. (Show Details)Mar 7 2018, 9:52 PM
paulb added a comment.Mar 7 2018, 9:54 PM

Agreed. @skadinna, do you want to take over and make the changes? I have to take a break.

paulb added a comment.Mar 7 2018, 9:55 PM

Also, the businesses link probably needs more work.

paulb reassigned this task from paulb to skadinna.Mar 7 2018, 9:57 PM
skadinna updated the task description. (Show Details)EditedMar 7 2018, 10:12 PM

Added the "Get Involved" link. I also included "Events" under it, but feel free to let me know if this should be (re)moved.

EDIT: AH! We don't have a "Support / Get Help" page or link, do we need one?

Maybe we could have a just a simple page that directs people to places where we want them to report bugs? We could also use it to explain that for problems with a specific app, they should look at that project's website/IRC channel. Or if we want people to ask questions on forums, direct them there...

Do we want to list planet.kde.org under News?

Do we want to list planet.kde.org under News?

I would include it. Don't forget there's also blogs.kde.org, though...

Do we want to list planet.kde.org under News?

I would include it. Don't forget there's also blogs.kde.org, though...

I thought that was semi-deprecated? If it's not, IMHO, it should be. We don't want messaging to be too diluted. Is there any chance we could move over everything there to either dot.kde.org or planet.kde.org?

I would include it. Don't forget there's also blogs.kde.org, though...

I thought that was semi-deprecated? If it's not, IMHO, it should be. We don't want messaging to be too diluted. Is there any chance we could move over everything there to either dot.kde.org or planet.kde.org?

Based on what I know about planet.kde.org and the way it works, it shouldn't be too difficult to move stuff from blogs.kde.org. But that's a discussion for another time and place, probably.

For now, I'll just add Planet, and we'll see if others agree with it being up there.

skadinna updated the task description. (Show Details)Mar 7 2018, 10:35 PM

Projects/Software

I would create some sort of separation here between Plasma and Kubuntu. I'm getting ready to swap from Plasma to Kubuntu for a more stable experience. (less updates - less breakage - I run both now)

Some people might want the more cutting edge but I need stability on this machine.

paulb added a comment.Mar 8 2018, 7:41 AM

Projects/Software

I would create some sort of separation here between Plasma and Kubuntu. I'm getting ready to swap from Plasma to Kubuntu for a more stable experience. (less updates - less breakage - I run both now)

Some people might want the more cutting edge but I need stability on this machine.

Hi John,

This is not the task where we discuss content. Just overall structure. Please hold this thought and bring it up when we start creating content.

Thanks

I suggest to wait for the actual switch of the main site and see what Haris has done with the WP, as he consolidated a lot of what has been given and then start to change or finetune that and NOT all change it at once again.
Just my 2 cents.

paulb added a comment.Mar 8 2018, 10:30 AM

I suggest to wait for the actual switch of the main site and see what Haris has done with the WP, as he consolidated a lot of what has been given and then start to change or finetune that and NOT all change it at once again.
Just my 2 cents.

Hello Clemens,

The board asked us explicitly to plan the sitemap and start producing content for each section. When this will be implemented, I don't know, but we were told we had to be ready.

The idea is that, besides changing the back end, there would be a revamp of the structure and content of KDE.org. This is because the old site is not working very well for the visitors: we have data that proves there has been a decline in visits over the years and that, unfortunately, the decline in visits is affecting other sites that rely on KDE.org (such as dot.kde.org). In consequence, it is very important we change to something more useful and attractive for visitors. Changing the back end without touching the structure and content of the site will not help because the back end has no effect on the users.

I hope that clarifies why we are carrying out this task.

duffus added a subscriber: duffus.Mar 8 2018, 10:39 AM

I would include it. Don't forget there's also blogs.kde.org, though...

I thought that was semi-deprecated? If it's not, IMHO, it should be. We don't want messaging to be too diluted. Is there any chance we could move over everything there to either dot.kde.org or planet.kde.org?

Based on what I know about planet.kde.org and the way it works, it shouldn't be too difficult to move stuff from blogs.kde.org. But that's a discussion for another time and place, probably.

For now, I'll just add Planet, and we'll see if others agree with it being up there.

blogs.ko is for hosting peoples blogs (that don't use their own or other website for this) ie. original blog posts are hosted here

planetkde.org is a central place that list "all" the blog posts by people in kde in a single easy to find location

so they have completely different purposes. planetkde.org is there for the place we should be linking to, it in turn will syndicate any posts from blogs hosted on blogs.ko (assuming the blog has been added to planet, that is a manual step)

paulb added a comment.EditedMar 9 2018, 8:42 AM

Before we close this at 10 pm CET tonight, we should probably also look at other similar sites, like:

And see if we are missing anything really obvious. Check and what seems to work for you and what doesn't.

Here's another really important thing I forgot: "how to get KDE software!"

A major problem right now is that people see our stuff, but it's really hard to figure out how to get it. We should make it super super super obvious how to get KDE software, both in standalone form, from Linux distros, and also in pre-installed form on purchaseable hardware. This should probably be a centralized page, with links leading to it from all the individual pages for our varies products.

paulb added a comment.EditedMar 9 2018, 2:32 PM

Here's another really important thing I forgot: "how to get KDE software!"

A major problem right now is that people see our stuff, but it's really hard to figure out how to get it. We should make it super super super obvious how to get KDE software, both in standalone form, from Linux distros, and also in pre-installed form on purchaseable hardware. This should probably be a centralized page, with links leading to it from all the individual pages for our varies products.

Hanging off of "Projects/Software"? Or do you think another top level menu "Downloads"?

Edit: Or hanging off of "Store/Get Stuff" > "Apps"?

Not even necessarily "Downloads", but more something like "Get KDE Software" that does include download links, and links to distros and Neon and the Slimbook people's store, etc. That way we can centralize our own downloads here and also provide an obvious place to add more partner links, as more emerge.

paulb added a comment.Mar 9 2018, 4:44 PM

Not even necessarily "Downloads", but more something like "Get KDE Software" that does include download links, and links to distros and Neon and the Slimbook people's store, etc. That way we can centralize our own downloads here and also provide an obvious place to add more partner links, as more emerge.

So, where would you like it to go?

Preferably in the always-visible global menu.

As I suggested in the chat, we could use the experience of other projects and make it a button, not a menu.

Not a bad idea!

My personal favorite here is Mozilla; I think they've done the download banner just right:



There's, however, a problem with this approach: our homepage currently displays a slideshow at this location, which we wouldn't want to move...

paulb added a comment.EditedMar 9 2018, 5:26 PM

There's, however, a problem with this approach: our homepage currently displays a slideshow at this location, which we wouldn't want to move...

Maybe we would, or make it smaller and fit in more stuff in the visible part of the site.

BUT

Don't worry about this now. Hold all these thoughts, please, because deciding on the content of each page is the next step, not this one.

paulb added a comment.Mar 9 2018, 5:27 PM

Not a bad idea!

So hold that though until we discuss content, yes?

Ok, assuming it can be made a menu later if the button fails, I'm good to move on :)

+1, button or menu is fine with me, as long as it's somehow visible by default.

paulb moved this task from Doing to Review on the KDE Promo board.Mar 9 2018, 8:37 PM
paulb moved this task from Review to Done on the KDE Promo board.Mar 10 2018, 7:48 AM
paulb closed this task as Resolved.Mar 10 2018, 8:58 AM